Skip to main content
Infrastructure/Agents
POSTAgentSince 1.0SynchronousAuth Required

SendAction

Send a lifecycle action command (start, stop, restart) to a specific agent

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    UUID of the agent to send the action to

  • actionStringRequired

    Lifecycle action name (start, stop, restart)

Responses

200 OK

On success, this API returns the following response structure.

  • actionIdString

    Unique identifier of the dispatched action for tracking

    Example: act-001-xyz

Endpoint

POST/api/v1/agents/{uuid}/actions/{action}

/api/v1/agents/{uuid}/actions/{action}

Operation ID

SendAction

Permalink

Request Example

curl -X POST '{host}/api/v1/agents/{uuid}/actions/{action}' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{}'

Response Example

200
{
  "actionId": "act-001-xyz"
}

Change History

This API has no change history records yet.

View all change history